## privacybadger 2018.2.5

=== Makefile ===
build: updatepsl zip crx

travisbuild: zip crx
	ls -1tr *.crx | tail -n 1

updatepsl:
	scripts/updatepsl.sh

zip:
	scripts/makezip.sh 

crx:
	scripts/makecrx.sh 

todo:
	grep -rn 'TODO' src

logging:
	grep -rn 'console.log' src lib

upload:
	$(eval TMPFILE := $(shell mktemp))
	scp src/data/yellowlist.txt $$YELLOWLIST_UPLOAD_PATH
	scripts/generate-legacy-yellowlist.sh > $(TMPFILE) && scp $(TMPFILE) $$YELLOWLIST_LEGACY_UPLOAD_PATH && rm $(TMPFILE)
	#scp data/dnt-policies.json $$DNT_POLICIES_UPLOAD_PATH

lint:
	./node_modules/.bin/eslint .

.PHONY: build travisbuild updatepsl zip crx todo logging lint

=== debian/changelog ===
privacybadger (2018.2.5-1) unstable; urgency=medium

  * Initial release (Closes: #890520)

 -- Michael Meskes <meskes@debian.org>  Mon, 19 Feb 2018 12:20:26 +0100

=== debian/control ===
Source: privacybadger
Section: web
Priority: optional
Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>
Build-Depends: debhelper (>= 11)
Standards-Version: 4.1.3
Homepage: https://github.com/EFForg/privacybadger
Vcs-Git: https://salsa.debian.org/webext-team/privacybadger.git
Vcs-Browser: https://salsa.debian.org/webext-team/privacybadger

Package: webext-privacy-badger
Architecture: all
Depends: ${misc:Depends}
Recommends: firefox (>= 50) | firefox-esr (>= 50) | chromium
Description: Privacy Badger blocks spying ads and invisible trackers
 Privacy Badger is a browser add-on that stops advertisers and other
 third-party trackers from secretly tracking where you go and what pages you
 look at on the web.  If an advertiser seems to be tracking you across multiple
 websites without your permission, Privacy Badger automatically blocks that
 advertiser from loading any more content in your browser.  To the advertiser,
 it's like you suddenly disappeared.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_build:

=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/privacybadger-$1\.tar\.gz/ \
  https://github.com/EFForg/privacybadger/tags .*/?(\d{4}\.\d.\d)\.tar\.gz

## privacybadger 2018.8.1

=== Makefile ===
--- 
+++ 
@@ -27,4 +27,8 @@
 lint:
 	./node_modules/.bin/eslint .
 
-.PHONY: build travisbuild updatepsl zip crx todo logging lint
+tx:
+	tx pull -f
+	scripts/fix_placeholders.py
+
+.PHONY: build travisbuild updatepsl zip crx todo logging lint tx

=== debian/changelog ===
privacybadger (2018.8.1-1) unstable; urgency=medium

  * New upstream version 2018.8.1.
  * Declare compliance with Debian Policy 4.2.0.
  * Add myself to Uploaders.
  * Update debian/copyright for new release.
  * Use Debian's system libraries for jquery, jquery-ui, jquery-underscore and
    the open-sans fonts.
  * Provide the sources for tooltipster.bundle.js.

 -- Markus Koschany <apo@debian.org>  Fri, 10 Aug 2018 11:44:06 +0200

=== debian/control ===
Source: privacybadger
Section: web
Priority: optional
Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
Uploaders:
 Markus Koschany <apo@debian.org>,
 Michael Meskes <meskes@debian.org>
Build-Depends:
 debhelper (>= 11)
Standards-Version: 4.2.0
Homepage: https://github.com/EFForg/privacybadger
Vcs-Git: https://salsa.debian.org/webext-team/privacybadger.git
Vcs-Browser: https://salsa.debian.org/webext-team/privacybadger

Package: webext-privacy-badger
Architecture: all
Depends:
 fonts-open-sans,
 libjs-jquery,
 libjs-jquery-ui,
 libjs-underscore,
 ${misc:Depends}
Recommends:
 firefox (>= 50) | firefox-esr (>= 50) | chromium
Description: Privacy Badger blocks spying ads and invisible trackers
 Privacy Badger is a browser add-on that stops advertisers and other
 third-party trackers from secretly tracking where you go and what pages you
 look at on the web.  If an advertiser seems to be tracking you across multiple
 websites without your permission, Privacy Badger automatically blocks that
 advertiser from loading any more content in your browser.  To the advertiser,
 it's like you suddenly disappeared.

## privacybadger 2019.2.19

=== Makefile ===
lint:
	./node_modules/.bin/eslint .

updatepsl:
	scripts/updatepsl.sh

updateseed:
	scripts/updateseeddata.sh

updategoogle:
	scripts/updategoogle.sh

todo:
	grep -rn 'TODO' src

upload:
	$(eval TMPFILE := $(shell mktemp))
	scp src/data/yellowlist.txt $$YELLOWLIST_UPLOAD_PATH
	scripts/generate-legacy-yellowlist.sh > $(TMPFILE) && scp $(TMPFILE) $$YELLOWLIST_LEGACY_UPLOAD_PATH && rm $(TMPFILE)
	#scp data/dnt-policies.json $$DNT_POLICIES_UPLOAD_PATH

tx:
	tx pull -f
	scripts/fix_placeholders.py

runff:
	./node_modules/.bin/web-ext run --start-url "about:debugging" -s src/

runfn:
	./node_modules/.bin/web-ext run --start-url "about:debugging" -s src/ -f /opt/firefox/nightly/firefox

.PHONY: lint updatepsl updateseed updategoogle todo tx runff runfn

=== debian/changelog ===
privacybadger (2019.2.19-1) unstable; urgency=medium

  * New upstream version 2019.2.19.

 -- Markus Koschany <apo@debian.org>  Sun, 24 Feb 2019 15:30:16 +0100

privacybadger (2019.1.30-2) unstable; urgency=medium

  [ Michael Meskes ]
  * With chromium now loading all extensions we do not need to provide a
    solution ourselves.

 -- Markus Koschany <apo@debian.org>  Wed, 13 Feb 2019 18:02:51 +0100

privacybadger (2019.1.30-1) unstable; urgency=medium

  * New upstream version 2019.1.30.
  * Declare compliance with Debian Policy 4.3.0.

 -- Markus Koschany <apo@debian.org>  Tue, 05 Feb 2019 16:10:50 +0100

privacybadger (2018.12.17-1) unstable; urgency=medium

  * New upstream version 2018.12.17.
  * Update the package description as recommended by upstream.
  * Change Homepage address and point to the eff.org domain.
  * Remove debian/missing-sources directory because upstream provides the
    sources now.

 -- Markus Koschany <apo@debian.org>  Wed, 19 Dec 2018 10:14:44 +0100

privacybadger (2018.12.5-2) unstable; urgency=medium

  * Replace symlinks to jquery and underscore libraries with embedded versions
    again because Firefox >= 64 does not follow those symlinks or silently
    ignores them. (Closes: #916529)

 -- Markus Koschany <apo@debian.org>  Sat, 15 Dec 2018 13:37:30 +0000

privacybadger (2018.12.5-1) unstable; urgency=medium

  * New upstream version 2018.12.5.

 -- Markus Koschany <apo@debian.org>  Sat, 08 Dec 2018 17:14:20 +0100

privacybadger (2018.10.3.1-1) unstable; urgency=medium

  * New upstream version 2018.10.3.1.
  * Declare compliance with Debian Policy 4.2.1.
  * Fix debian/watch file.

 -- Markus Koschany <apo@debian.org>  Sat, 10 Nov 2018 01:21:04 +0100

=== debian/control ===
Source: privacybadger
Section: web
Priority: optional
Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
Uploaders:
 Markus Koschany <apo@debian.org>,
 Michael Meskes <meskes@debian.org>
Build-Depends:
 debhelper (>= 11)
Standards-Version: 4.3.0
Homepage: https://www.eff.org/privacybadger/
Vcs-Git: https://salsa.debian.org/webext-team/privacybadger.git
Vcs-Browser: https://salsa.debian.org/webext-team/privacybadger

Package: webext-privacy-badger
Architecture: all
Depends:
 fonts-open-sans,
 ${misc:Depends}
Recommends:
 firefox (>= 50) | firefox-esr (>= 50) | chromium
Description: Privacy Badger automatically learns to block invisible trackers
 Instead of keeping lists of what to block, Privacy Badger learns by watching
 which domains appear to be tracking you as you browse the Web. Privacy Badger
 sends the Do Not Track signal with your browsing. If trackers ignore your
 wishes, your Badger will learn to block them. Privacy Badger starts blocking
 once it sees the same tracker on three different websites. Besides automatic
 tracker blocking, Privacy Badger removes outgoing link click tracking on
 Facebook, Google and Twitter, with more privacy protections on the way. To
 learn more, see the FAQ on Privacy Badger's homepage.

## privacybadger 2019.7.1.1

=== debian/changelog ===
privacybadger (2019.7.1.1-1) unstable; urgency=medium

  * New upstream version 2019.7.1.1.
  * Use debhelper-compat = 12.
  * Declare compliance with Debian Policy 4.4.0.

 -- Markus Koschany <apo@debian.org>  Wed, 17 Jul 2019 23:10:03 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
  Markus Koschany <apo@debian.org>,
  Michael Meskes <meskes@debian.org>
 Build-Depends:
- debhelper (>= 11)
-Standards-Version: 4.3.0
+ debhelper-compat (= 12)
+Standards-Version: 4.4.0
 Homepage: https://www.eff.org/privacybadger/
 Vcs-Git: https://salsa.debian.org/webext-team/privacybadger.git
 Vcs-Browser: https://salsa.debian.org/webext-team/privacybadger

## privacybadger 2020.2.19

=== Makefile ===
--- 
+++ 
@@ -23,10 +23,13 @@
 	tx pull -f
 	scripts/fix_placeholders.py
 
+runch:
+	./node_modules/.bin/web-ext run --target chromium --start-url "chrome://extensions" -s src/
+
 runff:
 	./node_modules/.bin/web-ext run --start-url "about:debugging" -s src/
 
 runfn:
 	./node_modules/.bin/web-ext run --start-url "about:debugging" -s src/ -f /opt/firefox/nightly/firefox
 
-.PHONY: lint updatepsl updateseed updategoogle todo tx runff runfn
+.PHONY: lint updatepsl updateseed updategoogle todo tx runch runff runfn

=== debian/changelog ===
privacybadger (2020.2.19-1) unstable; urgency=medium

  * New upstream version 2020.2.19.
  * Declare compliance with Debian Policy 4.5.0.

 -- Markus Koschany <apo@debian.org>  Sun, 23 Feb 2020 15:25:58 +0100

privacybadger (2020.1.13-1) unstable; urgency=medium

  * New upstream version 2020.1.13.

 -- Markus Koschany <apo@debian.org>  Sat, 18 Jan 2020 00:20:25 +0100

privacybadger (2020.1.7.1-1) unstable; urgency=medium

  * New upstream version 2020.1.7.1.

 -- Markus Koschany <apo@debian.org>  Fri, 10 Jan 2020 01:00:35 +0100

privacybadger (2019.11.18-1) unstable; urgency=medium

  * New upstream version 2019.11.18.

 -- Markus Koschany <apo@debian.org>  Fri, 22 Nov 2019 14:54:21 +0100

privacybadger (2019.10.28-1) unstable; urgency=medium

  * New upstream version 2019.10.28.

 -- Markus Koschany <apo@debian.org>  Sat, 02 Nov 2019 02:03:32 +0100

privacybadger (2019.10.8-1) unstable; urgency=medium

  * New upstream version 2019.10.8.
  * Declare compliance with Debian Policy 4.4.1.

 -- Markus Koschany <apo@debian.org>  Fri, 11 Oct 2019 13:41:49 +0200

privacybadger (2019.9.23-1) unstable; urgency=medium

  * New upstream version 2019.9.23.

 -- Markus Koschany <apo@debian.org>  Sat, 28 Sep 2019 21:49:28 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Michael Meskes <meskes@debian.org>
 Build-Depends:
  debhelper-compat (= 12)
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://www.eff.org/privacybadger/
 Vcs-Git: https://salsa.debian.org/webext-team/privacybadger.git
 Vcs-Browser: https://salsa.debian.org/webext-team/privacybadger

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/privacybadger-$1\.tar\.gz/ \
  https://github.com/EFForg/privacybadger/tags .*/release-?(\d\S+)\.tar\.gz

## privacybadger 2020.7.21

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 	$(eval TMPFILE := $(shell mktemp))
 	scp src/data/yellowlist.txt $$YELLOWLIST_UPLOAD_PATH
 	scripts/generate-legacy-yellowlist.sh > $(TMPFILE) && scp $(TMPFILE) $$YELLOWLIST_LEGACY_UPLOAD_PATH && rm $(TMPFILE)
-	#scp data/dnt-policies.json $$DNT_POLICIES_UPLOAD_PATH
+	scp src/data/dnt-policies.json $$DNT_POLICIES_UPLOAD_PATH
 
 tx:
 	tx pull -f

=== debian/changelog ===
privacybadger (2020.7.21-1) unstable; urgency=medium

  * New upstream version 2020.7.21.

 -- Markus Koschany <apo@debian.org>  Sun, 26 Jul 2020 00:04:05 +0200

privacybadger (2020.6.29-1) unstable; urgency=medium

  * New upstream version 2020.6.29.

 -- Markus Koschany <apo@debian.org>  Sat, 04 Jul 2020 23:07:09 +0200

privacybadger (2020.6.2-1) unstable; urgency=medium

  * New upstream version 2020.6.2.

 -- Markus Koschany <apo@debian.org>  Fri, 05 Jun 2020 23:10:10 +0200

privacybadger (2020.5.12-1) unstable; urgency=medium

  * New upstream version 2020.5.12.
  * Switch to debhelper-compat = 13.

 -- Markus Koschany <apo@debian.org>  Sat, 16 May 2020 01:53:06 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Markus Koschany <apo@debian.org>,
  Michael Meskes <meskes@debian.org>
 Build-Depends:
- debhelper-compat (= 12)
+ debhelper-compat (= 13)
 Standards-Version: 4.5.0
 Homepage: https://www.eff.org/privacybadger/
 Vcs-Git: https://salsa.debian.org/webext-team/privacybadger.git

## privacybadger 2020.10.7

=== Makefile ===
--- 
+++ 
@@ -27,9 +27,9 @@
 	./node_modules/.bin/web-ext run --target chromium --start-url "chrome://extensions" -s src/
 
 runff:
-	./node_modules/.bin/web-ext run --start-url "about:debugging" -s src/
+	./node_modules/.bin/web-ext run --start-url "about:debugging#/runtime/this-firefox" -s src/
 
 runfn:
-	./node_modules/.bin/web-ext run --start-url "about:debugging" -s src/ -f /opt/firefox/nightly/firefox
+	./node_modules/.bin/web-ext run --start-url "about:debugging#/runtime/this-firefox" -s src/ -f nightly
 
 .PHONY: lint updatepsl updateseed updategoogle todo tx runch runff runfn

=== tests/requirements.txt ===
selenium
xvfbwrapper 
pytest

=== debian/changelog ===
privacybadger (2020.10.7-1) unstable; urgency=medium

  * update watch file:
    + use file format 4
    + simplify filenamemangle regular expression
    + use substitution strings
    + add usage comment
  * copyright:
    + use License-Reference
      suppress lintian warnings (see bug#786450)
    + use license shortname Expat (not ambiguous MIT)
    + list License sections last, sorted by license shortname
  * fix enhance (not recommend) chromium firefox firefox-esr
  * declare compliance with Debian Policy 3.5.1
  * set Rules-Requires-Root: no

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 25 Nov 2020 17:15:52 +0100

privacybadger (2020.7.21-2) unstable; urgency=medium

  * friendly takeover;
    closes: bug#972003,
    thanks to Markus Koschany and Debian Mozilla Extension Maintainers
    for past contributions
  * add git-buildpackage config:
    + use pristine-tar
    + sign tags
    + filter out any .git* files
    + use DEP-14 branch names
  * add source script copyright-check
  * update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 24 Oct 2020 14:58:42 +0200

=== debian/control ===
Source: privacybadger
Section: web
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.5.1
Homepage: https://www.eff.org/privacybadger/
Vcs-Git: https://salsa.debian.org/webext-team/privacybadger.git
Vcs-Browser: https://salsa.debian.org/webext-team/privacybadger
Rules-Requires-Root: no

Package: webext-privacy-badger
Architecture: all
Depends:
 fonts-open-sans,
 ${misc:Depends},
Enhances:
 chromium,
 firefox,
 firefox-esr,
Description: Privacy Badger automatically learns to block invisible trackers
 Instead of keeping lists of what to block,
 Privacy Badger learns by watching
 which domains appear to be tracking you as you browse the Web.
 Privacy Badger sends the Do Not Track signal with your browsing.
 If trackers ignore your wishes,
 your Badger will learn to block them.
 Privacy Badger starts blocking
 once it sees the same tracker on three different websites.
 Besides automatic tracker blocking,
 Privacy Badger removes outgoing link click tracking
 on Facebook, Google and Twitter,
 with more privacy protections on the way.
 To learn more, see the FAQ on Privacy Badger's homepage.

=== debian/rules ===
--- 
+++ 
@@ -4,5 +4,9 @@
 %:
 	dh $@
 
+override_dh_install:
+	chmod a-x src/_locales/nl/messages.json
+	dh_install
+
 override_dh_auto_build:

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/ \
https://github.com/EFForg/privacybadger/tags \
.*/release-@ANY_VERSION@@ARCHIVE_EXT@

## privacybadger 2025.12.9

=== tests/requirements.txt ===
pytest
pytest-rerunfailures
selenium
xvfbwrapper

=== debian/changelog ===
privacybadger (2025.12.9-3) sid; urgency=medium

  * Adding multi-arch field.

 -- Daniel Baumann <daniel@debian.org>  Sun, 08 Feb 2026 07:57:10 +0100

privacybadger (2025.12.9-2) sid; urgency=medium

  * Updating to standards 4.7.3.
  * Updating homepage field.
  * Updating vcs fields.
  * Removing Rules-Requires-Root, default now.
  * Dublicating section in binary packages to be explicit.
  * Updating package description.
  * Updating upstream links in copyright.
  * Removing custom copyright-check in favour of using lrc directly.
  * Removing unused gbp.conf.
  * Prefixing debhelper files with package name.
  * Updating watch to file to version 5.
  * Updating debhelper docs file.
  * Formating debhelper files.
  * Adding upstream metadata.
  * Harmonizing rules file.
  * Excluding eslintrc.yml files from being included in the package.

 -- Daniel Baumann <daniel@debian.org>  Fri, 06 Feb 2026 04:49:57 +0100

privacybadger (2025.12.9-1) sid; urgency=medium

  * Adopting package as offered by Jonas and with thanks to all his previous
    work on it.

 -- Daniel Baumann <daniel@debian.org>  Fri, 06 Feb 2026 03:10:25 +0100

privacybadger (2025.12.9-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release (Closes: #1014544).
  * Disabling (newly added) test suite, needs more work.
  * Adding (newly added) background.html to debhelper install file.

 -- Daniel Baumann <daniel@debian.org>  Thu, 05 Feb 2026 16:22:46 +0100

=== debian/control ===
Source: privacybadger
Section: web
Priority: optional
Maintainer: Daniel Baumann <daniel@debian.org>
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.7.3
Homepage: https://github.com/EFForg/privacybadger
Vcs-Browser: https://forgejo.debian.net/mozilla/privacybadger
Vcs-Git: https://forgejo.debian.net/mozilla/privacybadger

Package: webext-privacy-badger
Section: web
Architecture: all
Multi-Arch: foreign
Depends:
 fonts-open-sans,
 ${misc:Depends},
Enhances:
 chromium,
 firefox,
 firefox-esr,
Description: browser extension that automatically learns to block hidden trackers
 Privacy Badger is a browser extension that automatically learns to block hidden
 trackers.
 .
 It sends the Global Privacy Control signal to opt you out of data sharing and
 selling, and the Do Not Track signal to tell companies not to track you. If
 trackers ignore these signals, Privacy Badger will learn to block them.
 .
 Besides automatic tracker blocking, Privacy Badger comes with privacy features
 like click-to-activate replacements for potentially useful trackers (video
 players, comments widgets, etc.), and link cleaning on Facebook and Google.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@}

override_dh_auto_build:
	# disabled

override_dh_auto_test:
	# disabled

execute_after_dh_fixperms:
	chmod a-x debian/webext-privacy-badger/usr/share/webext/privacy-badger/_locales/nl/messages.json

execute_after_dh_install:
	find debian/webext-privacy-badger -name .eslintrc.yml -delete

=== debian/watch ===
Version: 5

Template: Github
Owner: EFForg
Project: @PACKAGE@

## privacybadger 2026.2.20

=== Makefile ===
# https://developer.chrome.com/docs/extensions/how-to/distribute/host-on-linux
crx:
	$(eval TMPFILE := $(shell mktemp))
	cp src/manifest.json $(TMPFILE)
	./scripts/patch_manifest.py src/manifest.json set update_url http://localhost:9999/updates.xml
	google-chrome --pack-extension=./src --pack-extension-key=./release-utils/dummy-chromium.pem
	mv src.crx release-utils/privacy-badger.crx
	mv $(TMPFILE) src/manifest.json

lint:
	./node_modules/.bin/eslint .

minimages:
	npx @j9t/imagemin-guard@4.2.0

updatepsl:
	scripts/updatepsl.sh

updateseed:
	scripts/updateseeddata.sh

apply_effdntlist:
	scripts/apply_effdntlist.py src/data/seed.json

updategoogle:
	scripts/updategoogle.sh

updatecnames:
	scripts/updatecnames.sh

upload:
	# pbconfig
	scp src/data/pbconfig.json $$PBCONFIG_UPLOAD_PATH
	# DNT policy hashes (legacy)
	$(eval HASHES_TMP := $(shell mktemp))
	python -c 'import json,sys; print(json.dumps(json.load(sys.stdin)["dnt_policy_hashes"]))' < src/data/pbconfig.json > $(HASHES_TMP)
	scp $(HASHES_TMP) $$DNT_POLICIES_UPLOAD_PATH
	rm $(HASHES_TMP)
	# yellowlist (legacy)
	$(eval YLIST_TMP := $(shell mktemp))
	python -c 'import json,sys; print("\n".join(json.load(sys.stdin)["yellowlist"]))' < src/data/pbconfig.json > $(YLIST_TMP)
	scp $(YLIST_TMP) $$YELLOWLIST_UPLOAD_PATH
	# yellowlist (very legacy)
	$(eval OLD_YLIST_TMP := $(shell mktemp))
	scripts/generate-legacy-yellowlist.sh $(YLIST_TMP) > $(OLD_YLIST_TMP)
	scp $(OLD_YLIST_TMP) $$YELLOWLIST_LEGACY_UPLOAD_PATH
	rm $(OLD_YLIST_TMP)
	rm $(YLIST_TMP)

# get the Transifex CLI client from https://github.com/transifex/cli/releases/latest
tx:
	tx pull -f
	scripts/fix_placeholders.py

runch:
	./node_modules/.bin/web-ext run --target chromium --arg="--disable-component-update" --arg="--disable-blink-features=AutomationControlled" --arg="--enable-features=AllowLegacyMV2Extensions" --start-url "chrome://extensions" -s src/

runfa:
	./node_modules/.bin/web-ext run -s src/ --target firefox-android --adb-bin $$ADB_BIN --android-device $$ANDROID_DEVICE_ID --firefox-apk org.mozilla.firefox --verbose

runff:
	./node_modules/.bin/web-ext run --start-url "about:debugging#/runtime/this-firefox" -s src/

runfn:
	./node_modules/.bin/web-ext run --start-url "about:debugging#/runtime/this-firefox" -s src/ -f nightly

test:
	BROWSER=chrome ENABLE_XVFB=1 pytest -s tests/

.PHONY: crx lint minimages updatepsl updateseed apply_effdntlist updategoogle updatecnames tx runch runfa runff runfn test

=== scripts/requirements.txt ===
tldextract==3.1.0

=== debian/changelog ===
privacybadger (2026.2.20-2) sid; urgency=medium

  * Disabling first run page.
  * Disabling visually cluttering messages on popup menu.

 -- Daniel Baumann <daniel@debian.org>  Wed, 25 Feb 2026 18:47:53 +0100

privacybadger (2026.2.20-1) sid; urgency=medium

  * Harmonizing watch file.
  * Merging upstream version 2026.2.20.
  * Updating years in copyright for 2026.

 -- Daniel Baumann <daniel@debian.org>  Tue, 24 Feb 2026 16:45:39 +0100

=== debian/watch ===
Version: 5

Template: Github
Owner: EFForg
Project: privacybadger
